Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP_CodecC.cpp File Reference

`#include "IOP_CodecC.h"`
`#include "ace/OS_NS_string.h"`
`#include "IOP_CodecC.i"`

Include dependency graph for IOP_CodecC.cpp:

## Namespaces
namespace | IOP
namespace | TAO
## Functions
CORBA::TypeCode | _tc_TAO_tc_IOP_Codec_InvalidTypeForEncoding (CORBA::tk_except, sizeof(_oc_IOP_Codec_InvalidTypeForEncoding),(char *)&_oc_IOP_Codec_InvalidTypeForEncoding, 0, sizeof(IOP::Codec::InvalidTypeForEncoding))
CORBA::TypeCode | _tc_TAO_tc_IOP_Codec_FormatMismatch (CORBA::tk_except, sizeof(_oc_IOP_Codec_FormatMismatch),(char *)&_oc_IOP_Codec_FormatMismatch, 0, sizeof(IOP::Codec::FormatMismatch))
CORBA::TypeCode | _tc_TAO_tc_IOP_Codec_TypeMismatch (CORBA::tk_except, sizeof(_oc_IOP_Codec_TypeMismatch),(char *)&_oc_IOP_Codec_TypeMismatch, 0, sizeof(IOP::Codec::TypeMismatch))
CORBA::TypeCode | _tc_TAO_tc_IOP_Codec (CORBA::tk_objref, sizeof(_oc_IOP_Codec),(char *)&_oc_IOP_Codec, 0, sizeof(IOP::Codec))
CORBA::TypeCode | _tc_TAO_tc_IOP_EncodingFormat (CORBA::tk_alias, sizeof(_oc_IOP_EncodingFormat),(char *)&_oc_IOP_EncodingFormat, 0, sizeof(IOP::EncodingFormat))
CORBA::TypeCode | _tc_TAO_tc_IOP_Encoding (CORBA::tk_struct, sizeof(_oc_IOP_Encoding),(char *)&_oc_IOP_Encoding, 0, sizeof(IOP::Encoding))
CORBA::TypeCode | _tc_TAO_tc_IOP_CodecFactory_UnknownEncoding (CORBA::tk_except, sizeof(_oc_IOP_CodecFactory_UnknownEncoding),(char *)&_oc_IOP_CodecFactory_UnknownEncoding, 0, sizeof(IOP::CodecFactory::UnknownEncoding))
CORBA::TypeCode | _tc_TAO_tc_IOP_CodecFactory (CORBA::tk_objref, sizeof(_oc_IOP_CodecFactory),(char *)&_oc_IOP_CodecFactory, 0, sizeof(IOP::CodecFactory))
## Variables
TAO::Collocation_Proxy_Broker *(* | IOP__TAO_Codec_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_IOP_Codec_InvalidTypeForEncoding []
const CORBA::Long | _oc_IOP_Codec_FormatMismatch []
const CORBA::Long | _oc_IOP_Codec_TypeMismatch []
const CORBA::Long | _oc_IOP_Codec []
const CORBA::Long | _oc_IOP_EncodingFormat []
const CORBA::Long | _oc_IOP_Encoding []
TAO::Collocation_Proxy_Broker *(* | IOP__TAO_CodecFactory_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_IOP_CodecFactory_UnknownEncoding []
const CORBA::Long | _oc_IOP_CodecFactory []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_IOP_Codec | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_IOP_Codec) | ,
|  | (char *)& | _oc_IOP_Codec,
|  | 0 | ,
|  | sizeof(IOP::Codec) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_Codec_FormatMismatch | ( | CORBA::tk_except | ,
|  | sizeof(_oc_IOP_Codec_FormatMismatch) | ,
|  | (char *)& | _oc_IOP_Codec_FormatMismatch,
|  | 0 | ,
|  | sizeof(IOP::Codec::FormatMismatch) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_Codec_InvalidTypeForEncoding | ( | CORBA::tk_except | ,
|  | sizeof(_oc_IOP_Codec_InvalidTypeForEncoding) | ,
|  | (char *)& | _oc_IOP_Codec_InvalidTypeForEncoding,
|  | 0 | ,
|  | sizeof(IOP::Codec::InvalidTypeForEncoding) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_Codec_TypeMismatch | ( | CORBA::tk_except | ,
|  | sizeof(_oc_IOP_Codec_TypeMismatch) | ,
|  | (char *)& | _oc_IOP_Codec_TypeMismatch,
|  | 0 | ,
|  | sizeof(IOP::Codec::TypeMismatch) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_CodecFactory | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_IOP_CodecFactory) | ,
|  | (char *)& | _oc_IOP_CodecFactory,
|  | 0 | ,
|  | sizeof(IOP::CodecFactory) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_CodecFactory_UnknownEncoding | ( | CORBA::tk_except | ,
|  | sizeof(_oc_IOP_CodecFactory_UnknownEncoding) | ,
|  | (char *)& | _oc_IOP_CodecFactory_UnknownEncoding,
|  | 0 | ,
|  | sizeof(IOP::CodecFactory::UnknownEncoding) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_Encoding | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_Encoding) | ,
|  | (char *)& | _oc_IOP_Encoding,
|  | 0 | ,
|  | sizeof(IOP::Encoding) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_EncodingFormat | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_EncodingFormat) | ,
|  | (char *)& | _oc_IOP_EncodingFormat,
|  | 0 | ,
|  | sizeof(IOP::EncodingFormat) |
| ) | `[static]`

## Variable Documentation

const CORBA::Long _oc_IOP_Codec[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      26,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x633a312e),
      ACE_NTOHL (0x30000000),
        6,
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x63000000),
      }

const CORBA::Long _oc_IOP_Codec_FormatMismatch[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      41,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x632f466f),
      ACE_NTOHL (0x726d6174),
      ACE_NTOHL (0x4d69736d),
      ACE_NTOHL (0x61746368),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        15,
      ACE_NTOHL (0x466f726d),
      ACE_NTOHL (0x61744d69),
      ACE_NTOHL (0x736d6174),
      ACE_NTOHL (0x63680000),
      0,
      }

const CORBA::Long _oc_IOP_Codec_InvalidTypeForEncoding[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      49,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x632f496e),
      ACE_NTOHL (0x76616c69),
      ACE_NTOHL (0x64547970),
      ACE_NTOHL (0x65466f72),
      ACE_NTOHL (0x456e636f),
      ACE_NTOHL (0x64696e67),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        23,
      ACE_NTOHL (0x496e7661),
      ACE_NTOHL (0x6c696454),
      ACE_NTOHL (0x79706546),
      ACE_NTOHL (0x6f72456e),
      ACE_NTOHL (0x636f6469),
      ACE_NTOHL (0x6e670000),
      0,
      }

const CORBA::Long _oc_IOP_Codec_TypeMismatch[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      39,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x632f5479),
      ACE_NTOHL (0x70654d69),
      ACE_NTOHL (0x736d6174),
      ACE_NTOHL (0x63683a31),
      ACE_NTOHL (0x2e300000),
        13,
      ACE_NTOHL (0x54797065),
      ACE_NTOHL (0x4d69736d),
      ACE_NTOHL (0x61746368),
      ACE_NTOHL (0x0),
      0,
      }

const CORBA::Long _oc_IOP_CodecFactory[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      33,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x63466163),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        13,
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x63466163),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x0),
      }

const CORBA::Long _oc_IOP_CodecFactory_UnknownEncoding[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      49,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6465),
      ACE_NTOHL (0x63466163),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f556e6b),
      ACE_NTOHL (0x6e6f776e),
      ACE_NTOHL (0x456e636f),
      ACE_NTOHL (0x64696e67),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        16,
      ACE_NTOHL (0x556e6b6e),
      ACE_NTOHL (0x6f776e45),
      ACE_NTOHL (0x6e636f64),
      ACE_NTOHL (0x696e6700),
      0,
      }

const CORBA::Long _oc_IOP_Encoding[]`[static]`

const CORBA::Long _oc_IOP_EncodingFormat[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      35,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x456e636f),
      ACE_NTOHL (0x64696e67),
      ACE_NTOHL (0x466f726d),
      ACE_NTOHL (0x61743a31),
      ACE_NTOHL (0x2e300000),
        15,
      ACE_NTOHL (0x456e636f),
      ACE_NTOHL (0x64696e67),
      ACE_NTOHL (0x466f726d),
      ACE_NTOHL (0x61740000),
        CORBA::tk_short,

    }

TAO::Collocation_Proxy_Broker*(* IOP__TAO_Codec_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* IOP__TAO_CodecFactory_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0